Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# ChooseImporterCommonDialogC Class Reference

Choose Importer Dialog Class. More...

`#include <ChooseImporterCommonDialogC.h>`

Inheritance diagram for ChooseImporterCommonDialogC:

List of all members.

## Public Member Functions
virtual Edit::DataBlockI * | create ()
| Creates new dialog.
virtual PluginClass::ClassIdC | get_class_id ()
| Returns the class ID if the dialog.
virtual bool | do_modal ()
| Prompts the dialog.
virtual void | set_file_name (const char *szFilename)
virtual void | add_importer (const char *szDesc, PajaTypes::uint32 ui32ID)
virtual PajaTypes::int32 | get_selected_importer () const
virtual bool | get_use_extension_to_all () const
## Static Public Member Functions
ChooseImporterCommonDialogC * | create_new ()
| Creates new dialog.
## Protected Attributes
std::vector< ImporterS > | m_rImporters
std::string | m_sFileName
PajaTypes::int32 | m_i32SelID
bool | m_bUseToAll

## Detailed Description

Choose Importer Dialog Class.

## Member Function Documentation

virtual Edit::DataBlockI* create | ( |  | ) | `[virtual]`

| Creates new dialog. Implements DataBlockI.

ChooseImporterCommonDialogC* create_new | ( |  | ) | `[static]`

| Creates new dialog.

virtual bool do_modal | ( |  | ) | `[virtual]`

| Prompts the dialog. Implements CommonDialogI.

virtual PluginClass::ClassIdC get_class_id | ( |  | ) | `[virtual]`

| Returns the class ID if the dialog. Implements CommonDialogI.